Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job
Class ByClassesMonitorJob

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.management.oss.impl.job.MonitorJob
              com.sun.management.oss.impl.job.ByClassesMonitorJob

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, java.lang.Runnable

Direct Known Subclasses:
  OperationalStatusMonitorJob, PerformanceMonitorJob

public abstract class ByClassesMonitorJob
extends MonitorJob
implements javax.management.NotificationListener

A `ByClassesMonitorJob` object is a job that handles objects of specified classes. It listens to JMX MBean regitration/unregistration events and keeps an internal list of objects he has to care about A concrete class that extends this class should

Field Summary

Fields inherited from class com.sun.management.oss.impl.job.MonitorJob
`ACTIVE_OFF_DUTY, ACTIVE_ON_DUTY, SUSPENDED`

Constructor Summary
`ByClassesMonitorJob()`

Method Summary
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)` handleNotification is called only if we are a byClasses job

Methods inherited from class com.sun.management.oss.impl.job.MonitorJob
`begin, getNotificationInfo, quit, resume, run, stop, suspend`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByClassesMonitorJob

    public ByClassesMonitorJob()

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  handleNotification is called only if we are a byClasses job

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD